RpfDataPathWanderer (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.rpf
Class RpfDataPathWanderer

    java.lang.Object
      com.bbn.openmap.util.wanderer.Wanderer
          com.bbn.openmap.util.wanderer.DataPathWanderer
              com.bbn.openmap.layer.rpf.RpfDataPathWanderer

All Implemented Interfaces:
  WandererCallback

    public class RpfDataPathWanderer

extends DataPathWanderer

Adds RPF directories with a A.TOC file inside them to the data paths.

Author:
  dfdietrick

Field Summary

Fields inherited from class com.bbn.openmap.util.wanderer.DataPathWanderer
`dataPaths`

Fields inherited from class com.bbn.openmap.util.wanderer.Wanderer
`exhaustiveSearch, topToBottom`

Constructor Summary
`RpfDataPathWanderer()`

Method Summary
`java.lang.Class<RpfLayer>` | `getDataUserClass()` Which component class, like a specific layer type, will be using the data path.
`java.lang.String` | `getPrettyName()`
`boolean` | `handleDirectory(java.io.File directory)` NOOP, handle things in the overridden handleDirectory method, more efficient.
`protected boolean` | `handleDirectory(java.io.File directory, java.lang.String[] contentNames)` Management method for the wanderer, that steps through the children of the directory and calls handleEntry for them.
`boolean` | `handleFile(java.io.File file)` NOOP, work done in handleDirectory method.
`boolean` | `isMultiPathLayer()` True if layer being described can handle more than one data path, i.e.
`static void` | `main(java.lang.String[] argv)` Given a set of files or directories, search them to find the parent RPF directories to use for an RPF layer.

Methods inherited from class com.bbn.openmap.util.wanderer.DataPathWanderer
`addDataPath, getDataPaths`

Methods inherited from class com.bbn.openmap.util.wanderer.Wanderer
`getCallback, handleEntry, isExhaustiveSearch, isTopToBottom, setCallback, setExhaustiveSearch, setTopToBottom`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RpfDataPathWanderer

    public RpfDataPathWanderer()

Method Detail

### getDataUserClass

    public java.lang.Class<RpfLayer> getDataUserClass()

  Description copied from class: `DataPathWanderer`
  Which component class, like a specific layer type, will be using the data path.

  Specified by:
    `getDataUserClass` in class `DataPathWanderer`
  Returns:
    Class of using component.

### handleDirectory

    protected boolean handleDirectory(java.io.File directory,
                                      java.lang.String[] contentNames)
                               throws java.lang.SecurityException

  Management method for the wanderer, that steps through the children of the directory and calls handleEntry for them.

  Overrides:
    `handleDirectory` in class `Wanderer`
  Parameters:
    `directory` - the directory to handle
    `contentNames` - an array of Strings representing children of the directory
  Returns:
    true if the wandering should continue.
  Throws:
    `java.lang.SecurityException`

### handleDirectory

    public boolean handleDirectory(java.io.File directory)

  NOOP, handle things in the overridden handleDirectory method, more efficient.

  Parameters:
    `directory` - that represents a directory to deal with.
  Returns:
    true to continue wandering through to children.

### handleFile

    public boolean handleFile(java.io.File file)

  NOOP, work done in handleDirectory method.

  Parameters:
    `file` - to handle.
  Returns:
    true to continue evaluating siblings and parent directory siblings.

### getPrettyName

    public java.lang.String getPrettyName()

  Specified by:
    `getPrettyName` in class `DataPathWanderer`
  Returns:
    pretty name of the using component.x

### isMultiPathLayer

    public boolean isMultiPathLayer()

  Description copied from class: `DataPathWanderer`
  True if layer being described can handle more than one data path, i.e. all the data paths found can be added to a single layer.

  Overrides:
    `isMultiPathLayer` in class `DataPathWanderer`
  Returns:
    false by default

### main

    public static void main(java.lang.String[] argv)

  Given a set of files or directories, search them to find the parent RPF directories to use for an RPF layer.

  Parameters:
    `argv` - paths to files or directories, use -h to get a usage statement.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details